org.jbpm.process.core.timer.impl

## Class QuartzSchedulerService.GlobalQuartzJobHandle

- java.lang.Object
- - org.drools.core.time.impl.AbstractJobHandle
  - - org.drools.core.time.impl.DefaultJobHandle
    - - org.jbpm.process.core.timer.impl.GlobalTimerService.GlobalJobHandle
      - - org.jbpm.process.core.timer.impl.QuartzSchedulerService.GlobalQuartzJobHandle

- All Implemented Interfaces:
    Serializable, org.drools.core.time.JobHandle, org.drools.core.util.Entry<org.drools.core.time.JobHandle>, org.drools.core.util.LinkedListNode<org.drools.core.time.JobHandle>
  Enclosing class:
    QuartzSchedulerService

      public static class QuartzSchedulerService.GlobalQuartzJobHandle
      extends GlobalTimerService.GlobalJobHandle

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobalQuartzJobHandle(long id, String name, String group)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getJobGroup()`
    `String` | `getJobName()`
    `int` | `hashCode()`
    `void` | `setJobGroup(String jobGroup)`
    `void` | `setJobName(String jobName)`
    `String` | `toString()`

    - ### Methods inherited from class org.jbpm.process.core.timer.impl.GlobalTimerService.GlobalJobHandle

      `getSessionId, getTimerId`

    - ### Methods inherited from class org.drools.core.time.impl.DefaultJobHandle

      `getId, getJob, getTimerJobInstance, isCancel, setCancel, setTimerJobInstance`

    - ### Methods inherited from class org.drools.core.time.impl.AbstractJobHandle

      `getNext, getPrevious, nullPrevNext, setNext, setPrevious`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.time.JobHandle

      `getId, isCancel, setCancel`

    - ### Methods inherited from interface org.drools.core.util.LinkedListNode

      `getPrevious, nullPrevNext, setPrevious`

    - ### Methods inherited from interface org.drools.core.util.Entry

      `getNext, setNext`

- - ### Constructor Detail

    - #### GlobalQuartzJobHandle

          public GlobalQuartzJobHandle(long id,
                                       String name,
                                       String group)

  - ### Method Detail

    - #### getJobName

          public String getJobName()

    - #### setJobName

          public void setJobName(String jobName)

    - #### getJobGroup

          public String getJobGroup()

    - #### setJobGroup

          public void setJobGroup(String jobGroup)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `org.drools.core.time.impl.DefaultJobHandle`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `org.drools.core.time.impl.DefaultJobHandle`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `org.drools.core.time.impl.DefaultJobHandle`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.